import java.awt.event.*;
import java.awt.*;
import javax.swing.JOptionPane;
import javax.swing.*;
/**
 * Clase implementacion de la interfaz ActionListener
 * @author Luis Fuentes / Benjamin Ginouves
 * @version 2
 */
public class InsertElementListener implements ActionListener {
   private BlockSpringConfiguration bsConfig;
   private LabMenuBar menu;
   public InsertElementListener (BlockSpringConfiguration bsc){
      bsConfig = bsc;
   }

   public void setMenu(LabMenuBar menuBar){
       menu = menuBar;
   }
   /**
    * Metodo de ejecucion de la accion al eleguir la opcion del objeto a insertar.
    * @param e evento capturado del panel de insersion de objetos.
    */
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();
      new OptionPaneMultiple(bsConfig, text, menu);
   }
}