import javax.swing.JPanel;
import java.awt.Graphics;
import java.awt.Graphics2D;
/**
 * Clase del panel principal.
 */
public class LabPanel extends JPanel { 

   private BlockSpringConfiguration bsConfig;
   /**
    * Metodo de implementacion del panel principal.
    * @param bsc arreglo de objetos graficos.
    */
   public LabPanel(BlockSpringConfiguration bsc){
      bsConfig = bsc;
   }
   /**
    * Metodo de repintado de los objetos graficos.
    * @param g 
    */
    @Override
   public void paintComponent(Graphics g){
      super.paintComponent(g);
      Graphics2D g2 = (Graphics2D)g;
      bsConfig.paintComponent(g2);
   }   
}